# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Seacas clients. 
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

## ---------------------------------------------------------------------------
## Compilers used by Seacas build
## ---------------------------------------------------------------------------

set(Seacas_CXX_COMPILER "/opt/bin/aarch64-linux-gnu-libgfortran3-cxx03/g++")

set(Seacas_C_COMPILER "/opt/bin/aarch64-linux-gnu-libgfortran3-cxx03/gcc")

set(Seacas_Fortran_COMPILER "gfortran")

## ---------------------------------------------------------------------------
## Compiler flags used by Seacas build
## ---------------------------------------------------------------------------

set(Seacas_CMAKE_BUILD_TYPE "RELEASE")

set(Seacas_CXX_COMPILER_FLAGS [[  -Wall -Wunused -pedantic -O3 -DNDEBUG]])

set(Seacas_C_COMPILER_FLAGS [[  -Wall -Wunused -pedantic -std=c11 -O3 -DNDEBUG]])

set(Seacas_Fortran_COMPILER_FLAGS [[   ]])

## Extra link flags (e.g., specification of fortran libraries)
set(Seacas_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty. 
set(Seacas_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/workspace/destdir/lib")
set(Seacas_BUILD_SHARED_LIBS "YES")

set(Seacas_LINKER /opt/bin/aarch64-linux-gnu-libgfortran3-cxx03/ld)
set(Seacas_AR /opt/bin/aarch64-linux-gnu-libgfortran3-cxx03/ar)


## ---------------------------------------------------------------------------
## Set library specifications and paths 
## ---------------------------------------------------------------------------

## The project version number
set(Seacas_VERSION "2.0")

# For best practices in handling of components, see
# <http://www.cmake.org/cmake/help/v3.2/manual/cmake-developer.7.html#find-modules>.
#
# If components were requested, include only those. If not, include all of
# Trilinos.
if (Seacas_FIND_COMPONENTS)
  set(COMPONENTS_LIST ${Seacas_FIND_COMPONENTS})
else()
  set(COMPONENTS_LIST SEACAS;SEACASExodus)
endif()

# Initialize Seacas_FOUND with true, and set it to FALSE if any of
# the required components wasn't found.
set(Seacas_FOUND TRUE)
set(Seacas_NOT_FOUND_MESSAGE "")
set(selectedComponentsFound "")
foreach (comp IN ITEMS ${COMPONENTS_LIST})
  set(compPkgConfigFile
    ${CMAKE_CURRENT_LIST_DIR}/../${comp}/${comp}Config.cmake
    )
  if (EXISTS ${compPkgConfigFile})
    # Set Seacas_<component>_FOUND.
    set(Seacas_${comp}_FOUND TRUE)
    # Include the package file.
    include(${compPkgConfigFile})
    # Add variables to lists.
    list(APPEND Seacas_LIBRARIES ${${comp}_LIBRARIES})
    list(APPEND Seacas_TPL_LIBRARIES ${${comp}_TPL_LIBRARIES})
    list(APPEND selectedComponentsFound ${comp})
  else()
    set(Seacas_${comp}_FOUND FALSE)
    if(Seacas_FIND_REQUIRED_${comp})
      string(APPEND Seacas_NOT_FOUND_MESSAGE
        "ERROR: Could not find component '${comp}'!\n")
      set(Seacas_FOUND FALSE)
    endif()
  endif()
endforeach()

# Deprecated (see #299)!
set(Seacas_INCLUDE_DIRS "/workspace/destdir/include")

# Deprecated (see #299)!
set(Seacas_LIBRARY_DIRS "")

# Remove duplicates in Seacas_LIBRARIES
list(REVERSE Seacas_LIBRARIES)
list(REMOVE_DUPLICATES Seacas_LIBRARIES)
list(REVERSE Seacas_LIBRARIES)

# Remove duplicates in Seacas_TPL_LIBRARIES
list(REVERSE Seacas_TPL_LIBRARIES)
list(REMOVE_DUPLICATES Seacas_TPL_LIBRARIES)
list(REVERSE Seacas_TPL_LIBRARIES)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(Seacas_INSTALL_DIR "/workspace/destdir")
set(Seacas_MPI_LIBRARIES "")
set(Seacas_MPI_LIBRARY_DIRS "")
set(Seacas_MPI_INCLUDE_DIRS "")
set(Seacas_MPI_EXEC "")
set(Seacas_MPI_EXEC_PRE_NUMPROCS_FLAGS "")
set(Seacas_MPI_EXEC_MAX_NUMPROCS "")
set(Seacas_MPI_EXEC_POST_NUMPROCS_FLAGS "")
set(Seacas_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Compiler vendor identifications
## ---------------------------------------------------------------------------
set(Seacas_SYSTEM_NAME "Linux")
set(Seacas_CXX_COMPILER_ID "GNU")
set(Seacas_C_COMPILER_ID "GNU")
set(Seacas_Fortran_COMPILER_ID "")
set(Seacas_Fortran_IMPLICIT_LINK_LIBRARIES "")

## ---------------------------------------------------------------------------
## Set useful general variables 
## ---------------------------------------------------------------------------

## The packages enabled for this project
set(Seacas_PACKAGE_LIST "SEACAS;SEACASExodus")

## The selected packages for this project
set(Seacas_SELECTED_PACKAGE_LIST "${selectedComponentsFound}")

## The TPLs enabled for this project
set(Seacas_TPL_LIST "Netcdf")

## ---------------------------------------------------------------------------
## Modern CMake (IMPORTED) targets
## ---------------------------------------------------------------------------

# Seacas::all_libs  (Does *not* depend on COMPONENTS)
if (NOT TARGET Seacas::all_libs)
  set(Seacas_ALL_PACKAGES_TARGETS)
  foreach (pkg IN ITEMS SEACAS;SEACASExodus)
    list(APPEND Seacas_ALL_PACKAGES_TARGETS ${pkg}::all_libs)
  endforeach()
  add_library(Seacas::all_libs IMPORTED INTERFACE GLOBAL)
  target_link_libraries(Seacas::all_libs
  INTERFACE ${Seacas_ALL_PACKAGES_TARGETS} )
endif()

# Seacas::all_selected_libs  (Depend on COMPONENTS)
if (NOT TARGET Seacas::all_selected_libs)
  set(Seacas_ALL_SELECTED_PACKAGES_TARGETS)
  foreach (pkg IN ITEMS ${selectedComponentsFound})
    list(APPEND Seacas_ALL_SELECTED_PACKAGES_TARGETS ${pkg}::all_libs)
  endforeach()
  add_library(Seacas::all_selected_libs IMPORTED INTERFACE GLOBAL)
  target_link_libraries(Seacas::all_selected_libs
    INTERFACE ${Seacas_ALL_SELECTED_PACKAGES_TARGETS} )
endif()
